package index_data

import (
	"eta/eta_bridge/controller/resp"
	index_data_service "eta/eta_bridge/services/index_data"
	"github.com/gin-gonic/gin"
)

type JiaYueIndexController struct{}

// GetData
// @Description 获取嘉悦指标数据
// @Success 200 {string} string "操作成功"
// @Router /jiayue/index [get]
func (j *JiaYueIndexController) GetData(c *gin.Context) {
	indexCode := c.DefaultQuery("index_code", "")
	source := c.DefaultQuery("source", "")
	startDate := c.DefaultQuery("start_date", "")
	endDate := c.DefaultQuery("end_date", "")

	if indexCode == "" {
		resp.FailMsg("请输入指标code码", "请输入指标code码", c)
		return
	}
	if source == "" {
		resp.FailMsg("请输入指标来源", "请输入指标来源", c)
		return
	}

	data, err, errMsg := index_data_service.GetIndexFromJiaYue(indexCode, source, startDate, endDate)
	if err != nil {
		resp.FailMsg("查询失败", errMsg, c)
		return
	}
	resp.OkData("操作成功", data, c)
	return
}
