package crm

import (
	"eta/eta_bridge/global"
	"time"
)

// EtaTrialActiveRecord ETA试用用户活跃记录表
type EtaTrialActiveRecord struct {
	RecordId   int       `gorm:"primaryKey;column:record_id;type:int(11);not null" json:"record_id"`
	UserName   string    `gorm:"column:user_name;type:varchar(100);default:0" json:"user_name"`
	Mobile     string    `gorm:"column:mobile;type:varchar(20)" json:"mobile"`        // 手机号
	ActiveTime int       `gorm:"column:active_time;type:int(11)" json:"active_time"`  // 累计活跃时长
	CreateTime time.Time `gorm:"column:create_time;type:datetime" json:"create_time"` // 申请时间
	Part       string    `gorm:"column:part;type:varchar(100)" json:"part"`           // 活跃板块
}

func (m *EtaTrialActiveRecord) TableName() string {
	return "eta_trial_active_record"
}

// Create 新增
func (m *EtaTrialActiveRecord) Create() (err error) {
	err = global.MYSQL["hz_crm"].Create(m).Error
	return
}

// Update 更新
func (m *EtaTrialActiveRecord) Update(cols []string) (err error) {
	err = global.MYSQL["hz_crm"].Model(m).Select(cols).Updates(m).Error
	return
}
