package crm

import (
	"eta/eta_bridge/global"
	"time"
)

// EtaTrialQuestionnaireRecord 问卷记录表
type EtaTrialQuestionnaireRecord struct {
	RecordId        int       `gorm:"primaryKey;column:record_id;type:int(11);not null" json:"-"`
	UserName        string    `gorm:"column:user_name;type:varchar(255);not null" json:"user_name"`
	CompanyName     string    `gorm:"column:company_name;type:varchar(255);not null" json:"company_name"`
	Position        string    `gorm:"column:position;type:varchar(255);not null" json:"position"`
	Mobile          string    `gorm:"column:mobile;type:varchar(255);not null" json:"mobile"`
	QuestionnaireId int       `gorm:"column:questionnaire_id;type:int(11);not null" json:"questionnaire_id"`
	Options         string    `gorm:"column:options;type:varchar(255)" json:"options"`     // 选项
	Type            int       `gorm:"column:type;type:tinyint(4)" json:"type"`             // 1单选 2多选 3简答题
	CreateTime      time.Time `gorm:"column:create_time;type:datetime" json:"create_time"` // 创建时间
}

func (m *EtaTrialQuestionnaireRecord) TableName() string {
	return "eta_trial_questionnaire_record"
}

// CreateMulti 批量新增
func (m *EtaTrialQuestionnaireRecord) CreateMulti(items []EtaTrialQuestionnaireRecord) (err error) {
	if len(items) == 0 {
		return
	}
	err = global.MYSQL["hz_crm"].CreateInBatches(items, len(items)).Error
	return
}
