package routers

import (
	"eta/eta_bridge/controller/eta_trial"
	"github.com/gin-gonic/gin"
)

// InitEtaTrial ETA试用
func InitEtaTrial(r *gin.RouterGroup) {
	control := new(eta_trial.EtaTrialController)
	group := r.Group("eta_trial/")
	group.POST("user/mobile_fetch", control.GetUserByMobile)
	group.POST("user/disable", control.Disable)
	group.POST("user/edit", control.Edit)
	group.POST("user/remove", control.Remove)
	group.POST("user/update_login", control.UpdateLogin)
	group.POST("user/update_index_num", control.UpdateIndexNum)
	group.POST("user/update_chart_num", control.UpdateChartNum)
	group.POST("user/update_active_time", control.UpdateActiveTime)
	group.POST("user/update_login_duration", control.UpdateLoginDuration)

	group.POST("questionnaire/list", control.GetQuestionnaireList)
	group.POST("questionnaire/commit", control.QuestionnaireCommit)
}
